1. Partner API
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
        POST
      • updateMerchant
        POST
      • checkMerchant
        POST
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Partner API

addMerchant

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/partner
The addMerchant method is the method used to perform a merchant creation request.
If you supply a notifyURL to MW when setting up your partner account, you will receive a notification message in real-time when the creation request has completed.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/partner' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "method": "addMerchant",
    "partnerUUID": "123456789abcd",
    "apiKey": "1a3b5c",
    "merchantCompanyLegalName": "Company ABC PTY LTD",
    "merchantCompanyTradingName": "ABC COMPANY",
    "merchantCompanyRegNumber": "123456",
    "merchantIndustry": "Clothing",
    "merchantWebsite": "https://apple.com.au",
    "merchantCountry": "AU",
    "merchantState": "Queensland",
    "merchantCity": "Brisbane",
    "merchantStreet": "123 Test Street",
    "merchantPostcode": "4000",
    "merchantTimezone": "Australia/Brisbane",
    "merchantContactName": "Mr. Example Person",
    "merchantContactEmail": "person@example.com",
    "merchantContactPhone": "0401234567",
    "merchantContactMobile": "0401234567",
    "merchantBillingContactName": "Mr. Example Person",
    "merchantBillingContactEmail": "person@example.com",
    "hash": "e9ddc296b76b3398934bfc06239073df",
    "ddSettlementAccountName": "Test Name",
    "ddSettlementAccountBSB": "123456",
    "ddSettlementAccountNumber": "00123456",
    "ccSettlementAccountName": "Test Name",
    "ccSettlementAccountBSB": "123456",
    "ccSettlementAccountNumber": "512345678912346",
    "cardAcceptorName": "NIKE ACCESSORIES",
    "merchantCategoryCode": "7011",
    "fileAttachments": "XXXXX",
    "status": "approved",
    "merchantOwnerName": "Mr. Example Person",
    "merchantOwnerDateOfBirth": "1990-12-24",
    "merchantOwnerPhone": "0401234567",
    "merchantOwnerEmail": "person@example.com",
    "merchantOwnerStreet": "123 Test Street",
    "merchantOwnerCity": "Brisbane",
    "merchantOwnerState": "Queensland",
    "merchantOwnerPostcode": "4000",
    "merchantOwnerCountry": "AU",
    "merchantCompanyType": "1",
    "merchantCompanyStreet": "123 Test Street",
    "merchantCompanyCity": "Brisbane",
    "merchantCompanyState": "Queensland",
    "merchantCompanyPostcode": "4000",
    "merchantCompanyCountry": "AU",
    "settlementAccountName": "Test Name",
    "settlementAccountBSB": "123456",
    "settlementAccountNumber": "5123456",
    "feeAccountName": "Test Name",
    "feeAccountBSB": "123456",
    "feeAccountNumber": "512345678912346",
    "merchantTemplate": "string"
}'
Response Response Example
Request Response
{
    "responseCode": 0,
    "responseMessage": "Operation successful",
    "requestReference": "679b7f3207674eef052a"
}
Modified at 2026-07-09 05:38:21
Previous
Introduction
Next
updateMerchant
Built with